> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notte.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Managed Auth Connection Create



## OpenAPI

````yaml https://api.notte.cc/openapi.json post /managed-auth/connections
openapi: 3.1.0
info:
  title: Notte API
  description: >-
    Notte API is a REST API that allows you to interact with Notte. It is used
    to create cloud browser sessions, scrape webpages, and run web ai agents to
    act on your behalf on the internet.
  version: 1.4.40
  x-logo:
    url: https://www.notte.cc/images/logo/logo-white.png
servers: []
security: []
tags:
  - name: agents
    description: Web AI agents (start, stop, status, replay, etc.)
  - name: sessions
    description: Session management (start, stop, status, etc.)
  - name: debug
    description: Session debugging tools (replay,logs, recording, etc.)
  - name: page
    description: Page operations withing a session (observe, step, scrape, etc.)
  - name: storage
    description: File storage interface (upload, download, list, etc.)
  - name: network
    description: Network requests/responses withing a session (intercept, etc.)
  - name: vaults
    description: >-
      Vault & Credentials management (create/delete vaults, create/delete
      credentials, etc.)
  - name: personas
    description: Persona management (create, delete, list emails, list sms, etc.)
  - name: scrape
    description: >-
      Webpage scraping (scrape, screenshot, etc.) with automatic session
      management.
  - name: health
    description: Health check endpoint.
  - name: usage
    description: Usage logs (usage, logs, etc.)
  - name: functions
    description: Functions management (create, delete, list, etc.)
paths:
  /managed-auth/connections:
    post:
      tags:
        - managed-auth
      summary: Managed Auth Connection Create
      operationId: managed_auth_connection_create
      parameters:
        - name: x-notte-request-origin
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Request-Origin
        - name: x-notte-sdk-version
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Notte-Sdk-Version
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagedAuthConnectionCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ManagedAuthConnection'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
      x-codeSamples: []
components:
  schemas:
    ManagedAuthConnectionCreateRequest:
      properties:
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
        label:
          type: string
          maxLength: 120
          minLength: 1
          title: Label
        credentials:
          $ref: '#/components/schemas/ManagedAuthCredentials'
        schedule:
          type: boolean
          title: Schedule
          default: false
        domain:
          anyOf:
            - type: string
            - type: 'null'
          title: Domain
        login_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Url
        allowed_domains:
          items:
            type: string
          type: array
          title: Allowed Domains
        login_source:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/ManagedAuthExistingFunctionSource'
                - $ref: '#/components/schemas/ManagedAuthInlineFunctionSource'
              discriminator:
                propertyName: kind
                mapping:
                  code:
                    $ref: '#/components/schemas/ManagedAuthInlineFunctionSource'
                  function:
                    $ref: '#/components/schemas/ManagedAuthExistingFunctionSource'
            - type: 'null'
          title: Login Source
        verifier_source:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/ManagedAuthExistingFunctionSource'
                - $ref: '#/components/schemas/ManagedAuthInlineFunctionSource'
              discriminator:
                propertyName: kind
                mapping:
                  code:
                    $ref: '#/components/schemas/ManagedAuthInlineFunctionSource'
                  function:
                    $ref: '#/components/schemas/ManagedAuthExistingFunctionSource'
            - type: 'null'
          title: Verifier Source
      type: object
      required:
        - label
        - credentials
      title: ManagedAuthConnectionCreateRequest
    ManagedAuthConnection:
      properties:
        id:
          type: string
          title: Id
        template_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Id
        template_slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Slug
        template_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Template Name
        label:
          type: string
          title: Label
        domain:
          type: string
          title: Domain
        login_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Url
        allowed_domains:
          items:
            type: string
          type: array
          title: Allowed Domains
        profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Profile Id
        vault_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Vault Id
        login_source_function_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Source Function Id
        login_source_function_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Login Source Function Version
        verifier_source_function_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Verifier Source Function Id
        verifier_source_function_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Verifier Source Function Version
        functions_editable:
          type: boolean
          title: Functions Editable
          default: false
        status:
          type: string
          enum:
            - provisioning
            - resetting
            - setup_required
            - authenticated
            - needs_reauth
            - error
            - disconnected
          title: Status
        reauth_mode:
          type: string
          enum:
            - auto
            - manual
          title: Reauth Mode
        last_checked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Checked At
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        disconnected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Disconnected At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - label
        - domain
        - status
        - reauth_mode
        - created_at
        - updated_at
      title: ManagedAuthConnection
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ManagedAuthCredentials:
      properties:
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        password:
          type: string
          format: password
          title: Password
          writeOnly: true
        mfa_secret:
          anyOf:
            - type: string
              format: password
              writeOnly: true
            - type: 'null'
          title: Mfa Secret
      type: object
      required:
        - password
      title: ManagedAuthCredentials
    ManagedAuthExistingFunctionSource:
      properties:
        kind:
          type: string
          const: function
          title: Kind
        function_id:
          type: string
          title: Function Id
      type: object
      required:
        - kind
        - function_id
      title: ManagedAuthExistingFunctionSource
    ManagedAuthInlineFunctionSource:
      properties:
        kind:
          type: string
          const: code
          title: Kind
        source:
          type: string
          minLength: 1
          title: Source
      type: object
      required:
        - kind
        - source
      title: ManagedAuthInlineFunctionSource
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````